Subject: Re: [PATCH v2] net: usb: ax88179_178a: Bind only to vendor-specific interface

From: Jakub Kicinski <[email-masked]>
Date: Thu, 5 May 2022 09:17:47 -0700

On Thu, 5 May 2022 21:05:29 +0900 Hector Martin wrote:
> On 05/05/2022 11.30, Jakub Kicinski wrote:
> > On Mon,  2 May 2022 20:06:44 +0900 Hector Martin wrote:  
> >> The Anker PowerExpand USB-C to Gigabit Ethernet adapter uses this
> >> chipset, but exposes CDC Ethernet configurations as well as the
> >> vendor specific one.   
> > 
> > And we have reasons to believe all dongle vendors may have a similar
> > problem?  
> 
> Given this is a vendor-specific driver it seems correct to have it only
> bind to vendor-specific interfaces. That shouldn't break anything as
> long as nobody is implementing this interface with the wrong protocol
> IDs (which seems like quite a weird thing to do and fairly unlikely).
> 
> FWIW, the one I have has the generic VID/PID, not a custom vendor one.
> If you prefer I can change just that one or both of the generic ones.

I have no strong preference, maybe folks more familiar with USB in
general do and will chime in. Seems like a USB question more than
a networking one.

I know we have sort of the opposite problem with Realtek devices where
they bind to the generic driver instead of the vendor one resulting in
loss of functionality and higher power draw.

But that's not 1:1 the problem you're solving. Let's just make sure 
the commit message is more explicit about which IDs are required
to fix your system and which are just changed for a good measure,
in case of regressions.